質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.93%

AWS cdkのpackage.jsonのバージョンがバラバラ

解決済

回答 1

投稿

  • 評価
  • クリップ 0
  • VIEW 192

pokemonta

score 63

以下の事象に近いエラーが発生いたしました。
#542

内容を確認しますと
package.jsonファイルにCDKのバージョンが
混在しているのが原因だそうです。

そこで自分のpackage.jsonファイルを
確認しましたところ以下の記載になっていました。

これはバージョンが混在している状況といえるのでしょうか?
("aws-cdk": "1.48.0"と"@aws-cdk/・・・": "^1.51.0"の
バージョンが違うので混在しているのでしょうか)

混在している場合、解消する方法をご教示いただけないでしょうか?

{
  "name": "abc",
  "version": "0.1.0",
{
  "name": "abc",
  "version": "0.1.0",
  "bin": {
    "apiset": "bin/abc.js"
  },
  "scripts": {
    "build": "tsc",
    "watch": "tsc -w",
    "test": "jest",
    "cdk": "cdk"
  },
  "devDependencies": {
    "@aws-cdk/assert": "1.48.0",
    "@types/jest": "^25.2.1",
    "@types/node": "10.17.5",
    "jest": "^25.5.0",
    "ts-jest": "^25.3.1",
    "aws-cdk": "1.48.0",
    "ts-node": "^8.1.0",
    "typescript": "~3.7.2"
  },
  "dependencies": {
    "@aws-cdk/aws-apigateway": "^1.51.0",
    "@aws-cdk/aws-cloudformation": "^1.51.0",
    "@aws-cdk/aws-dynamodb": "^1.51.0",
    "@aws-cdk/aws-iam": "^1.51.0",
    "@aws-cdk/aws-lambda": "^1.51.0",
    "@aws-cdk/core": "^1.51.0",
    "@aws-cdk/custom-resources": "^1.51.0",
    "@aws-solutions-constructs/aws-apigateway-lambda": "^1.51.0",
    "@aws-solutions-constructs/aws-cloudfront-s3": "^1.51.0",
    "@aws-solutions-constructs/aws-cognito-apigateway-lambda": "^1.51.0",
    "@aws-solutions-constructs/aws-lambda-dynamodb": "^1.51.0",
    "source-map-support": "^0.5.16"
  }
}
  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

+1

解決済みIssueなので、誤ってると思しきところを直しながらまずはそちらの解決方法を試してみてはどうでしょうか。
パッと見怪しいのはこの辺でしょう
"aws-cdk": "1.48.0",
"@aws-cdk/assert": "1.48.0",

以下、Issueから引用

As mentioned above, this is usually caused by having more than a single version of the CDK in your node modules.

1. Make sure your package.json lists the same version.
2. Nuke node_modules
3. Run npm install again

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2020/07/21 14:56

    それだとプロジェクトごとに個別にバージョンが異なる場合困りませんか?

    基本的には、ローカルで設定がある場合はそちらが優先されるのが普通でしょう。

    キャンセル

  • 2020/07/21 22:00

    おっしゃっている意味がわかりました。確認してみます。

    キャンセル

  • 2020/07/21 22:20

    このやり方で実行すればいけました。
    https://wp-kyoto.net/should-check-packagejson-when-npm-run-budil-failed/
    ※.@aws-cdk/cdkは、@aws-cdk/coreにrenameされていますので注意が必要です。

    キャンセル

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.93%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る